general:
  version: 1.x
  css:
    component:
      css/leaflet_general.css: {}

leaflet:
  remote: http://leafletjs.com/
  version: 1.4.0
  license:
    name: Leaflet-License
    url: https://github.com/Leaflet/Leaflet/blob/v1.4.0/LICENSE
    gpl-compatible: true
  js:
    js/leaflet/dist/leaflet.js: {}
  css:
    component:
      js/leaflet/dist/leaflet.css: {}

leaflet-drupal:
  version: VERSION
  js:
    js/leaflet.drupal.js: {}
  dependencies:
    - core/jquery
    - core/jquery.once
    - core/drupal
    - leaflet/leaflet

leaflet-geoman:
  version: 2.x
  css:
    theme:
      '//unpkg.com/@geoman-io/leaflet-geoman-free@latest/dist/leaflet-geoman.css': {type: external, minified: true}
  js:
    '//unpkg.com/@geoman-io/leaflet-geoman-free@latest/dist/leaflet-geoman.min.js': {type: external, minified: true}
  dependencies:
    - leaflet/leaflet

leaflet-widget:
  version: 1.x
  js:
    js/leaflet.widget.js: {}
  dependencies:
    - core/jquery
    - leaflet/general
    - leaflet/leaflet-geoman

# Control Fullscreen
leaflet.fullscreen:
  header: true
  remote: https://github.com/Leaflet/Leaflet.fullscreen
  version: '1.0.1'
  license:
    name: ISC License
    url: https://github.com/Leaflet/Leaflet.fullscreen/blob/gh-pages/LICENSE
    gpl-compatible: true
  css:
    component:
      'https://api.mapbox.com/mapbox.js/plugins/leaflet-fullscreen/v1.0.1/leaflet.fullscreen.css': { type: external}
  js:
    'https://api.mapbox.com/mapbox.js/plugins/leaflet-fullscreen/v1.0.1/Leaflet.fullscreen.min.js': { type: external, minified: true }
  dependencies:
    - leaflet/leaflet

# Gesture Handling Leaflet Library
leaflet.gesture_handling:
  header: true
  remote: https://github.com/elmarquis/Leaflet.GestureHandling
  version: '1.0.1'
  license:
    name: MIT License
    url: https://raw.githubusercontent.com/elmarquis/Leaflet.GestureHandling/master/LICENSE
    gpl-compatible: no
  css:
    component:
      'https://unpkg.com/leaflet-gesture-handling/dist/leaflet-gesture-handling.min.css': { type: external}
  js:
    'https://unpkg.com/leaflet-gesture-handling': { type: external, minified: true }
  dependencies:
    - leaflet/leaflet

leaflet.geocoder:
  version: 1.x
  css:
    component:
      css/leaflet_geocoder.css: {}
  js:
    js/leaflet.geocoder.js: {}
  dependencies:
    - core/drupal.autocomplete
    - leaflet/leaflet-drupal
